<!DOCTYPE html>
<html>

<head>
  <link rel="stylesheet" type="text/css" href="assets/main.css" />
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
</head>

<body id="index_body">
  <div class="center_container">
    <div class="text_wrapper">
      <button onclick="createLobby()">
        <h1>Create Lobby</h1>
      </button>
    </div>
  </div>
  <script src="assets/configLoader.js"></script>
  <script>
    function createLobby() {

      let config;
      $.getJSON("../configuration/config.json", (data) => {
        config = data;
      }).then(() => {
        localStorage.setItem("Config", JSON.stringify(config));

        $.get({
          url: `${config.backendIp}api/lobby/`,
          success: (data) => {
            console.log(data);
            window.location = "/lobby/?id="+data;
          },
        });
      })
    }
  </script>
</body>

</html>